
//+------------------------------------------------------------------+
//|                                                    currency1.mq4 |
//|                                     Copyright  2010, mess-mate. |
//|                                                mess-mate@gmx.com |
//+------------------------------------------------------------------+
#property copyright "mess-mate@gmx.com"
#property link      "mess-mate@gmx.com"


#property indicator_chart_window

extern color color1 = Yellow;
extern int FontSize = 12;
extern string note5 = "WHAT CORNER?";
extern string note6 = "UPPER LEFT=0; UPPER RIGHT=1";
extern string note7 = "LOWER LEFT=2; LOWER RIGHT=3";
extern int WhatCorner = 2;
extern int Offset = 90;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {   
  ObjectDelete("CurrenCy");
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
int gi_1 = 18;    // used to determine position on graph
int li_0;
int li_1;
if(!IsConnected())return(0);
if(MarketInfo(Symbol(),MODE_TRADEALLOWED) != 1)return(0);

if (WhatCorner == 2 || WhatCorner == 3) {    // where to set the indicator 
   li_0 = gi_1 + 8;
   li_1 = 1;
   }
if (WhatCorner == 0 || WhatCorner == 1) {
   li_0 = 1;
   li_1 = gi_1 + 8;
}


ObjectCreate("CurrenCy", OBJ_LABEL, 0, 0, 0);
ObjectSetText("CurrenCy",Symbol(), FontSize, "Arial", color1);
ObjectSet("CurrenCy", OBJPROP_CORNER, WhatCorner);
ObjectSet("CurrenCy", OBJPROP_XDISTANCE, 6);
ObjectSet("CurrenCy", OBJPROP_YDISTANCE, li_0 + Offset);

return (0);
}

//+------------------------------------------------------------------+




